Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.rt.xml
Class ParseTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.xml.ParseSupport
                  org.apache.taglibs.standard.tag.rt.xml.ParseTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class ParseTag

extends ParseSupport

A handler for <parse> that supports rtexprvalue-based attributes.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.taglibs.standard.tag.common.xml.ParseSupport
`ParseSupport.JstlEntityResolver`

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.xml.ParseSupport
`filter, systemId, xml`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ParseTag()`

Method Summary
`void` | `setDoc(Object xml)`
`void` | `setFilter(XMLFilter filter)`
`void` | `setSystemId(String systemId)`
`void` | `setXml(Object xml)`

Methods inherited from class org.apache.taglibs.standard.tag.common.xml.ParseSupport
`doEndTag, release, setScope, setScopeDom, setVar, setVarDom`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ParseTag

    public ParseTag()

Method Detail

### setXml

    public void setXml(Object xml)
                throws JspTagException

  Throws:
    `JspTagException`

### setDoc

    public void setDoc(Object xml)
                throws JspTagException

  Throws:
    `JspTagException`

### setSystemId

    public void setSystemId(String systemId)
                     throws JspTagException

  Throws:
    `JspTagException`

### setFilter

    public void setFilter(XMLFilter filter)
                   throws JspTagException

  Throws:
    `JspTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.